#include <stdio.h>
#include "../winuser.h"
int _CRmenu(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _APPitem(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _APPpopup(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _PAINTmenu(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _ENmenuItem(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DImenuItem(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _APPitemBitmap(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _APPpopupBitmap(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBmenu(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CHKmenu(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETcheckMenu(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DSmenuItem(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DSmenu(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CRpopupMenu(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DRAWmenu(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _SETmenuItemBitmaps(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CHKpopup(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _DRAWmenuTree(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
#define NmenuPKG 18
char* menuname[NmenuPKG]=
{"_CRmenu","_APPitem","_APPpopup","_PAINTmenu","_ENmenuItem","_DImenuItem","_APPitemBitmap","_APPpopupBitmap","_CBmenu","_CHKmenu","_GETcheckMenu","_DSmenuItem","_DSmenu","_CRpopupMenu","_DRAWmenu","_SETmenuItemBitmaps","_CHKpopup","_DRAWmenuTree"};
int (*menufun[NmenuPKG])(mmachine m)=
{_CRmenu,_APPitem,_APPpopup,_PAINTmenu,_ENmenuItem,_DImenuItem,_APPitemBitmap,_APPpopupBitmap,_CBmenu,_CHKmenu,_GETcheckMenu,_DSmenuItem,_DSmenu,_CRpopupMenu,_DRAWmenu,_SETmenuItemBitmaps,_CHKpopup,_DRAWmenuTree};
int menunarg[NmenuPKG]=
{2,4,3,1,1,1,4,3,3,2,1,1,1,1,5,3,2,5};
char* menutype[NmenuPKG]=
{"fun [Chn ObjWin] ObjMenu","fun [Chn ObjMenu I S] ObjMenuItem","fun [Chn ObjMenu S] ObjMenu","fun [ObjMenu] ObjMenu","fun [ObjMenuItem] ObjMenuItem","fun [ObjMenuItem] ObjMenuItem","fun [Chn ObjMenu I ObjBitmap] ObjMenuItem","fun [Chn ObjMenu ObjBitmap] ObjMenu","fun [ObjMenuItem fun [ObjMenuItem u0] u1 u0] ObjMenuItem","fun [ObjMenuItem I] ObjMenuItem","fun [ObjMenuItem] I","fun [ObjMenuItem] I","fun [ObjMenu] I","fun [Chn] ObjMenu","fun [ObjWin ObjMenu I I I] ObjWin","fun [ObjMenuItem ObjBitmap ObjBitmap] ObjMenuItem","fun [ObjMenu I] ObjMenu","fun [ObjTree ObjMenu I I I] ObjTree"};
int SCOLloadmenu(mmachine m)
{
return PKhardpak(m,"menu.pkg",NmenuPKG,menuname,menufun,menunarg,menutype);
}
